Package org.silverpeas.components.webpages.control

# Class WebPagesSessionController

java.lang.Object
org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController
org.silverpeas.components.webpages.control.WebPagesSessionController

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.web.mvc.controller.ComponentSessionController`, `org.silverpeas.core.web.session.SessionCloseable`

public class WebPagesSessionController extends org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PARAM_MAIN_TEMPLATE`
  `static final String`
  `PARAM_OTHER_TEMPLATE`

  ### Fields inherited from class org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

  `context`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebPagesSessionController(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionCtrl, org.silverpeas.core.web.mvc.controller.ComponentContext componentContext)`
  Standard Session Controller Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.silverpeas.core.contribution.content.form.DataRecord`
  `getDataRecord(String param)`
  `String`
  `getProfile()`
  Méthode récupérant le role le plus élevé du user
  `org.silverpeas.core.contribution.content.form.Form`
  `getUpdateForm(String param)`
  `org.silverpeas.core.contribution.content.form.Form`
  `getViewForm(String param)`
  `boolean`
  `haveGotWysiwygNotEmpty()`
  `boolean`
  `isSubscriptionUsed()`
  Return boolean if subscription is used for this instance
  `boolean`
  `isXMLContentDefined(String param)`
  `boolean`
  `isXMLTemplateUsed(String param)`
  `String`
  `manageSubscriptions()`
  `void`
  `saveDataRecord(String param, List<org.silverpeas.core.util.file.FileItem> items, org.silverpeas.core.contribution.content.form.PagesContext context)`
  `void`
  `saveDataRecord(List<org.silverpeas.core.util.file.FileItem> items)`

  ### Methods inherited from class org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

  `addClipboardSelection, clipboardPasteDone, close, getClipboardErrorMessage, getClipboardExceptionError, getClipboardObjects, getClipboardSelectedObjects, getClipboardSize, getComponentAccessController, getComponentId, getComponentLabel, getComponentName, getComponentParameterValue, getComponentParameterValue, getComponentRootName, getComponentUrl, getHighestSilverpeasUserRole, getIcon, getLanguage, getLook, getMultilang, getOrganisationController, getPersonalization, getRSSUrl, getSelection, getSettings, getSilverpeasUserRoles, getSpaceId, getSpaceLabel, getString, getSubscriptionContext, getUrlEncodedParameter, getUserAccessLevel, getUserAvailComponentIds, getUserDetail, getUserDetail, getUserId, getUserManageableGroupIds, getUserManageableSpaceIds, getUserRoles, getZoneId, isAppInMaintenance, isGroupManager, isPasswordChangeAllowed, isSpaceInMaintenance, removeClipboardElement, setAppModeMaintenance, setClipboardSelectedElement, setComponentRootName, setSpaceModeMaintenance`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PARAM_MAIN_TEMPLATE

    public static final String PARAM_MAIN_TEMPLATE
    See Also:
      - Constant Field Values

  - ### PARAM_OTHER_TEMPLATE

    public static final String PARAM_OTHER_TEMPLATE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### WebPagesSessionController

    public WebPagesSessionController(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionCtrl, org.silverpeas.core.web.mvc.controller.ComponentContext componentContext)
    Standard Session Controller Constructor
    Parameters:
      `mainSessionCtrl` - The user's profile
      `componentContext` - The component's profile

- ## Method Details

  - ### getProfile

    public String getProfile()
    Méthode récupérant le role le plus élevé du user
    Returns:
      le role

  - ### haveGotWysiwygNotEmpty

    public boolean haveGotWysiwygNotEmpty()
    Returns:
      vrai s'il existe un fichier WYSIWYG pour l'instance de composant

  - ### manageSubscriptions

    public String manageSubscriptions()

  - ### isSubscriptionUsed

    public boolean isSubscriptionUsed()
    Return boolean if subscription is used for this instance
    Returns:
      boolean

  - ### isXMLTemplateUsed

    public boolean isXMLTemplateUsed(String param)

  - ### getDataRecord

    public org.silverpeas.core.contribution.content.form.DataRecord getDataRecord(String param) throws WebPagesException
    Throws:
      `WebPagesException`

  - ### isXMLContentDefined

    public boolean isXMLContentDefined(String param) throws WebPagesException
    Throws:
      `WebPagesException`

  - ### getViewForm

    public org.silverpeas.core.contribution.content.form.Form getViewForm(String param) throws WebPagesException
    Throws:
      `WebPagesException`

  - ### getUpdateForm

    public org.silverpeas.core.contribution.content.form.Form getUpdateForm(String param) throws WebPagesException
    Throws:
      `WebPagesException`

  - ### saveDataRecord

    public void saveDataRecord(List<org.silverpeas.core.util.file.FileItem> items) throws WebPagesException
    Throws:
      `WebPagesException`

  - ### saveDataRecord

    public void saveDataRecord(String param, List<org.silverpeas.core.util.file.FileItem> items, org.silverpeas.core.contribution.content.form.PagesContext context) throws WebPagesException
    Throws:
      `WebPagesException`